Status: Resolved Priority: Could have
Author: Adrian Föder Category: ViewHelpers
Created: 2012-01-27 Assigned To: Adrian Föder
Updated: 2012-05-09 Due date:
Has patch: No
Subject: Allow DebugViewHelper output only the type of the input variable
Description

Due to the var_dump drawback that sometimes the memory consumption is too large or the list just becomes too long, I suggest a flag
that only outputs the type of the intended variable instead of its dump.

Related issues:
related to TYPO3.Flow - Feature # 36955: Add type filter to var_dump() New 2012-05-08

Associated revisions
Revision fb14d2ad - 2012-05-08 16:59 - Adrian Föder

[FEATURE] DebugViewHelper allows output of type only

Because sometimes var_dump is too verbose, this patch adds
a flag where only the type of the intended variable
can be output.

Change-Id: I63859adaaf5c1c039874551758ee05fe63e9e87f
Resolves: #33493
Releases: 1.1

History
#1 - 2012-01-27 14:45 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8725

#2 - 2012-02-22 14:43 - Karsten Dambekalns
- Target version set to 1.1

#3 - 2012-02-22 15:04 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8725

#4 - 2012-05-08 16:59 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8725
#5 - 2012-05-09 02:39 - Adrian Föder
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:fb14d2ad206d8cb94503cdf16f367e9e5aa14c0f.
